Skip to content
MOTOVIZION Docs

Dealer Analytics

The endpoint allows you to pull pre-diagnostic analytics for a given timeframe.

https://api.example.com/dealer/analytics/
POST
application/json

The request body should be a JSON object with the following fields:

ParameterTypeRequiredDescription
dealer_uuidStringTrueDealer unique identifier
start_dateStringTrueWhen the metrics will start
end_dateStringFalse(Optional) Used if restricting timeframe, otherwise will run to current date.
curl -X POST https://api.example.com/dealer/analytics/ \
-H "Content-Type: application/json" \
-H "X-API-KEY: API_KEY" \
-d '{
"dealer_uuid": "1234",
"start_date": "2025-05-01",
"end_date": "2025-06-30"
}'

If your API key is missing or invalid, the server will respond with an error.

{
"status": "error",
"response": "Invalid API Key"
}

When you send a valid request to the Motovizion AI API, the response contains structured JSON data. Below is a detailed explanation of the fields included in the response.

{
"status":"success",
"dealer_name":"ABC Toyota",
"total_appointments":312,
"total_responses":81,
"avg_time_on_site":2.52, // minutes
"total_time_on_site":3.41, // Hours
"response_rate":25.96, // Percentage
"total_comebacks":25
}
Field NameTypeDescription
statusStringRequest status
dealer_nameStringDealer Name in Request
total_appointmentsIntegerTotal number of appointment’s logged for timeframe.
total_responsesIntegerTotal number of responses supplied by customer.
avg_time_on_siteIntegerAverage time the customer spent engaged in conversation, in minutes.
total_time_on_siteIntegerThe total time spent engaged in conversation for the given time frame, in hours.
response_rateIntegerThe percentage of response to total appointments.
total_comebacksIntegerTotal amount of logged comebacks for the time period.
HTTP Status CodeDescription
400Missing required fields (e.g., appointment_uuid).
401Invalid or missing API key.
404Appointment not found for the provided appointment_uuid.